> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api/customer-parameters-groups-api.md).

# Customer Parameters Groups API

**API for listing Customer Parameter groups of a specific Biller, by using the Biller ID.It returns combination of customer params that customer can use**

| Endpoint                                                                                                       |
| -------------------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /masters/customerParamGroup?billerId=DKAFEE000KER06**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type    | Description       |
| ------------------------------------------ | --------------------- | --------- | ------------ | ----------------- |
| **\[ROOT]** (No parent property / element) | billerId              | M         | Alphanumeric | Fixed Length – 14 |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name   | Mandatory | Data Type | Description                                       |
| -------------------------------------- | ----------------------- | --------- | --------- | ------------------------------------------------- |
| \[ROOT] (No parent property / element) | customerParamGroupR esp |           |           |                                                   |
| **groups**                             | name                    | M         | String    | Name of the group                                 |
|                                        | input                   | M         | String    | Input value of group                              |
|                                        | params                  | M         | List      | List of string containing the combination         |
|                                        | groups                  | M         | Object    | Inner Group with same model as the outer Group    |
| **generalResp**                        | statusCode              | M         | Numeric   | 200- SUCCESS Other than 200-Failure               |
|                                        | status                  | M         | String    | It is either “Success” or failure                 |
|                                        | message                 | M         | String    | Contains the reason message for failure / success |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

<pre class="language-json"><code class="lang-json"><strong>    {
</strong>    "generalResp": { "statusCode": "200",
    "status": "success",
    "message": "Customer param group retrieved successfully", "remarks": ""
    },
    "customerParamGroupResp": { "groups": [
    {
    "groupId": "e7a1daac-4d64-4dc0-9f4b-c07c631d5f67", "params": [
    "Admission No/Application No/GR No"
    ],
    "groups": [
    {
    "groupId": "4cde9c57-3f0c-4293-84a3-b8f3c834f23d", "params": [
    "Date Of Birth (DD-MM-YYYY)", "Mobile No"
    ],
    "groups": [],
    "name": "Group1",
    "input": "2"
    }
    ],
    "name": "Group1.1",
    "input": "1"
    }
    ]
    }
    }
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api/customer-parameters-groups-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
